Bug 54781 - Frequent eth0 transmit timeouts with RHL 7.2
Frequent eth0 transmit timeouts with RHL 7.2
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel-pcmcia-cs (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-18 15:41 EDT by Diego Novillo
Modified: 2015-01-04 17:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-25 03:12:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Diego Novillo 2001-10-18 15:41:54 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.3) Gecko/20010816

Description of problem:
I have just upgraded my laptop (Dell Inspiron 3500) to RHL 7.2.  Things
seemed to work fine until I tried running rsync to copy about 300Mb worth
of files.


A few seconds after the copy started, rsync froze completely and I saw this
in /var/log/messages:

Oct 18 13:58:48 localhost kernel: NETDEV WATCHDOG: eth0: transmit timed out
Oct 18 13:58:48 localhost kernel: eth0: transmit timed out, tx_status 00
status e601.
Oct 18 13:58:48 localhost kernel:   diagnostics: net 0cc2 media a800 dma
0000003a.
Oct 18 13:58:48 localhost kernel: eth0: Interrupt posted but not delivered
-- IRQ blocked by another device?
Oct 18 13:58:48 localhost kernel:   Flags; bus-master 1, dirty 36769(1)
current 36769(1)
Oct 18 13:58:48 localhost kernel:   Transmit list 00000000 vs. c0fcb240.
Oct 18 13:58:48 localhost kernel:   0: @c0fcb200  length 8000002a status
8001002a
Oct 18 13:58:48 localhost kernel:   1: @c0fcb240  length 80000042 status
00010042
Oct 18 13:58:48 localhost kernel:   2: @c0fcb280  length 8000024e status
0001024e
Oct 18 13:58:48 localhost kernel:   3: @c0fcb2c0  length 8000024e status
0001024e
Oct 18 13:58:48 localhost kernel:   4: @c0fcb300  length 8000024e status
0001024e
Oct 18 13:58:48 localhost kernel:   5: @c0fcb340  length 8000024e status
0001024e
Oct 18 13:58:48 localhost kernel:   6: @c0fcb380  length 8000024e status
0001024e
Oct 18 13:58:48 localhost kernel:   7: @c0fcb3c0  length 8000024e status
0001024e
Oct 18 13:58:48 localhost kernel:   8: @c0fcb400  length 80000042 status
00010042
Oct 18 13:58:48 localhost kernel:   9: @c0fcb440  length 8000002a status
0001002a
Oct 18 13:58:48 localhost kernel:   10: @c0fcb480  length 8000002a status
0001002a
Oct 18 13:58:48 localhost kernel:   11: @c0fcb4c0  length 8000002a status
0001002a
Oct 18 13:58:48 localhost kernel:   12: @c0fcb500  length 8000002a status
0001002a
Oct 18 13:58:48 localhost kernel:   13: @c0fcb540  length 8000002a status
0001002a
Oct 18 13:58:48 localhost kernel:   14: @c0fcb580  length 8000002a status
0001002a
Oct 18 13:58:48 localhost kernel:   15: @c0fcb5c0  length 8000002a status
8001002a


I killed and restarted rsync several times with the same result.  It would
copy a few hundred Kb and then freeze.

I tried booting the kernel with 'noapic'.  That seemed to work for a bit,
but after a while the same problem started occurring.
The only way I could copy the files was to reboot the machine in Windows
and copy from there.  So this doesn't seem to be a hardware problem.

On startup, the card is recognized as follows:

Oct 18 12:53:21 localhost cardmgr[795]: starting, version is 3.1.22
Oct 18 12:53:21 localhost sshd: Starting sshd:
Oct 18 12:53:21 localhost cardmgr[795]: config error, file './config.opts'
line 8: no function bindings
Oct 18 12:53:21 localhost cardmgr[795]: watching 2 sockets
Oct 18 12:53:21 localhost kernel: cs: IO port probe 0x0c00-0x0cff: clean.
Oct 18 12:53:21 localhost kernel: cs: IO port probe 0x0100-0x04ff:
excluding 0x130-0x137 0x220-0x22f 0x320-0x327 0x378-0x37f 0x388-0x38f
0x4d0-0x4d7
Oct 18 12:53:21 localhost kernel: cs: IO port probe 0x0a00-0x0aff: clean.
Oct 18 12:53:21 localhost kernel: 3c59x: Donald Becker and others.
www.scyld.com/network/vortex.html
Oct 18 12:53:21 localhost kernel: 06:00.0: 3Com PCI 3CCFE575BT Cyclone
CardBus at 0x1800. Vers LK1.1.16
Oct 18 12:53:21 localhost kernel: PCI: Setting latency timer of device
06:00.0 to 64
Oct 18 12:53:21 localhost cardmgr[795]: initializing socket 1
Oct 18 12:53:21 localhost cardmgr[795]: socket 1: 3Com 3CCFE575B/3CXFE575B
Fast EtherLink XL


lsmod returns:
$ lsmod
Module                  Size  Used by
3c59x                  26336   1
ds                      7056   2
yenta_socket            9488   2
pcmcia_core            41600   0 [ds yenta_socket]
autofs                 11520   0 (autoclean) (unused)
ipchains               39200   0
usb-uhci               21536   0 (unused)
usbcore                51712   1 [usb-uhci]
ext3                   64624   2
jbd                    40992   2 [ext3]




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot machine
2. Log in
3. rsync -azv remote:big_dir .
	

Additional info:
Comment 1 Christopher Chan 2002-05-31 03:42:36 EDT
I also get Transmit timed outs messages. I am running dual Pentium III boxes
that gets loads of APIC errors. I have tried both the eepro driver for my NIC
and the Intel one. Every now and then, the network connectivity is lost and I
have to cold reboot the machines. I noticed that when the network is lost, an
APIC error occured...

The motherboards are VIA based. Is there a work around or a fix for these
problems?

Note You need to log in before you can comment on or make changes to this bug.